diff --git a/examples/peripheral/usbd_ble_uart/main.c b/examples/peripheral/usbd_ble_uart/main.c
index d2c40e9..2b3a6ab 100644
--- a/examples/peripheral/usbd_ble_uart/main.c
+++ b/examples/peripheral/usbd_ble_uart/main.c
@@ -666,22 +666,22 @@ static void cdc_acm_user_ev_handler(app_usbd_class_inst_t const * p_inst,
             ret_code_t ret = app_usbd_cdc_acm_read(&m_app_cdc_acm,
                                                    m_cdc_data_array,
                                                    1);
-            UNUSED_VARIABLE(ret);
-            ret = app_timer_stop(m_blink_cdc);
-            APP_ERROR_CHECK(ret);
-            bsp_board_led_on(LED_CDC_ACM_CONN);
-            NRF_LOG_INFO("CDC ACM port opened");
+//            UNUSED_VARIABLE(ret);
+//            ret = app_timer_stop(m_blink_cdc);
+//            APP_ERROR_CHECK(ret);
+//            bsp_board_led_on(LED_CDC_ACM_CONN);
+//            NRF_LOG_INFO("CDC ACM port opened");
             break;
         }
 
         case APP_USBD_CDC_ACM_USER_EVT_PORT_CLOSE:
-            NRF_LOG_INFO("CDC ACM port closed");
+//            NRF_LOG_INFO("CDC ACM port closed");
             if (m_usb_connected)
             {
-                ret_code_t ret = app_timer_start(m_blink_cdc,
-                                                 APP_TIMER_TICKS(LED_BLINK_INTERVAL),
-                                                 (void *) LED_CDC_ACM_CONN);
-                APP_ERROR_CHECK(ret);
+//                ret_code_t ret = app_timer_start(m_blink_cdc,
+//                                                 APP_TIMER_TICKS(LED_BLINK_INTERVAL),
+//                                                 (void *) LED_CDC_ACM_CONN);
+//                APP_ERROR_CHECK(ret);
             }
             break;
 
@@ -702,9 +702,9 @@ static void cdc_acm_user_ev_handler(app_usbd_class_inst_t const * p_inst,
                 {
                     if (index > 1)
                     {
-                        bsp_board_led_invert(LED_CDC_ACM_RX);
-                        NRF_LOG_DEBUG("Ready to send data over BLE NUS");
-                        NRF_LOG_HEXDUMP_DEBUG(m_cdc_data_array, index);
+//                        bsp_board_led_invert(LED_CDC_ACM_RX);
+//                        NRF_LOG_DEBUG("Ready to send data over BLE NUS");
+//                        NRF_LOG_HEXDUMP_DEBUG(m_cdc_data_array, index);
 
                         do
                         {
@@ -715,20 +715,20 @@ static void cdc_acm_user_ev_handler(app_usbd_class_inst_t const * p_inst,
                                 length += sizeof(ENDLINE_STRING);
                             }
 
-                            ret = ble_nus_data_send(&m_nus,
-                                                    (uint8_t *) m_cdc_data_array,
-                                                    &length,
-                                                    m_conn_handle);
+//                            ret = ble_nus_data_send(&m_nus,
+//                                                    (uint8_t *) m_cdc_data_array,
+//                                                    &length,
+//                                                    m_conn_handle);
 
                             if (ret == NRF_ERROR_NOT_FOUND)
                             {
-                                NRF_LOG_INFO("BLE NUS unavailable, data received: %s", m_cdc_data_array);
+//                                NRF_LOG_INFO("BLE NUS unavailable, data received: %s", m_cdc_data_array);
                                 break;
                             }
 
                             if (ret == NRF_ERROR_RESOURCES)
                             {
-                                NRF_LOG_ERROR("BLE NUS Too many notifications queued.");
+//                                NRF_LOG_ERROR("BLE NUS Too many notifications queued.");
                                 break;
                             }
 
@@ -745,7 +745,7 @@ static void cdc_acm_user_ev_handler(app_usbd_class_inst_t const * p_inst,
 
                 /*Get amount of data transferred*/
                 size_t size = app_usbd_cdc_acm_rx_size(p_cdc_acm);
-                NRF_LOG_DEBUG("RX: size: %lu char: %c", size, m_cdc_data_array[index - 1]);
+//                NRF_LOG_DEBUG("RX: size: %lu char: %c", size, m_cdc_data_array[index - 1]);
 
                 /* Fetch data until internal buffer is empty */
                 ret = app_usbd_cdc_acm_read(&m_app_cdc_acm,
@@ -783,7 +783,7 @@ static void usbd_user_ev_handler(app_usbd_event_type_t event)
             break;
 
         case APP_USBD_EVT_POWER_DETECTED:
-            NRF_LOG_INFO("USB power detected");
+//            NRF_LOG_INFO("USB power detected");
 
             if (!nrf_drv_usbd_is_enabled())
             {
@@ -793,10 +793,10 @@ static void usbd_user_ev_handler(app_usbd_event_type_t event)
 
         case APP_USBD_EVT_POWER_REMOVED:
         {
-            NRF_LOG_INFO("USB power removed");
-            ret_code_t err_code = app_timer_stop(m_blink_cdc);
-            APP_ERROR_CHECK(err_code);
-            bsp_board_led_off(LED_CDC_ACM_CONN);
+//            NRF_LOG_INFO("USB power removed");
+//            ret_code_t err_code = app_timer_stop(m_blink_cdc);
+//            APP_ERROR_CHECK(err_code);
+//            bsp_board_led_off(LED_CDC_ACM_CONN);
             m_usb_connected = false;
             app_usbd_stop();
         }
@@ -804,11 +804,11 @@ static void usbd_user_ev_handler(app_usbd_event_type_t event)
 
         case APP_USBD_EVT_POWER_READY:
         {
-            NRF_LOG_INFO("USB ready");
-            ret_code_t err_code = app_timer_start(m_blink_cdc,
-                                                  APP_TIMER_TICKS(LED_BLINK_INTERVAL),
-                                                  (void *) LED_CDC_ACM_CONN);
-            APP_ERROR_CHECK(err_code);
+//            NRF_LOG_INFO("USB ready");
+//            ret_code_t err_code = app_timer_start(m_blink_cdc,
+//                                                  APP_TIMER_TICKS(LED_BLINK_INTERVAL),
+//                                                  (void *) LED_CDC_ACM_CONN);
+//            APP_ERROR_CHECK(err_code);
             m_usb_connected = true;
             app_usbd_start();
         }
@@ -824,15 +824,24 @@ static void usbd_user_ev_handler(app_usbd_event_type_t event)
 /** @brief Application main function. */
 int main(void)
 {
+    if (NRF_UICR->REGOUT0 != 0xFFFFFFFD) {
+	NRF_NVMC->CONFIG = NVMC_CONFIG_WEN_Wen << NVMC_CONFIG_WEN_Pos;
+	while (NRF_NVMC->READY == NVMC_READY_READY_Busy){}
+	NRF_UICR->REGOUT0 = 0xFFFFFFFD; //3.3V
+        while (NRF_NVMC->READY == NVMC_READY_READY_Busy) {}
+	NRF_NVMC->CONFIG = NVMC_CONFIG_WEN_Ren << NVMC_CONFIG_WEN_Pos;
+	while (NRF_NVMC->READY == NVMC_READY_READY_Busy){}
+    }
+
     ret_code_t ret;
     static const app_usbd_config_t usbd_config = {
         .ev_state_proc = usbd_user_ev_handler
     };
     // Initialize.
-    log_init();
+    //log_init();
     timers_init();
 
-    buttons_leds_init();
+    //buttons_leds_init();
 
     app_usbd_serial_num_generate();
 
